plugins {
    alias(libs.plugins.luach.android.library)
    alias(libs.plugins.luach.android.hilt)
    alias(libs.plugins.luach.android.room)
}

android {
    namespace = "com.applemand.zmanim.core.notifications"
}

dependencies {
    implementation(project(":core:common"))
    implementation(project(":core:settings"))
    implementation(project(":core:datetime"))
    implementation(project(":core:jewcal"))
    implementation(project(":core:zmanim"))
    implementation(project(":core:location"))

    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.work.runtime.ktx)
    implementation(libs.androidx.hilt.work)
    implementation(libs.kotlinx.coroutines.android)
    implementation(libs.kotlinx.datetime)

    testImplementation(libs.junit4)
    testImplementation(libs.truth)
    testImplementation(libs.kotlinx.coroutines.test)
}
